Commit 75c9c7b0 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

GIT_SILENT: increase version + make sure that it builds without

deprecated method
parent 4db14dba
......@@ -2,7 +2,7 @@ cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
project(kcron)
set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.82.0")
set (KF5_MIN_VERSION "5.83.0")
find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......@@ -28,7 +28,7 @@ find_package(KF5 REQUIRED COMPONENTS
)
include(KDEGitCommitHooks)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055300)
add_subdirectory(src)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment